## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname ansible-compat
%global pkgname python-ansible-compat
%global forgeurl https://github.com/ansible/ansible-compat

%bcond_without tests

Name:    %{pkgname}
Version: 2.2.1
%forgemeta
Release: %autorelease
Summary: Ansible python helper functions

URL:       %{forgeurl}
Source0:   %{pypi_source}
License:   MIT
BuildArch: noarch

BuildRequires: pyproject-rpm-macros
BuildRequires: ansible-core
BuildRequires: python3dist(flaky)
BuildRequires: python3dist(pytest)
BuildRequires: python3dist(pytest-mock)

# This patch skips the tests requiring a connection to
# ansible galaxy
Patch0: 0001_skip_tests_requiring_network_connectivity.patch

Requires: python3dist(pyyaml)
Requires: python3dist(subprocess-tee)

%global common_description %{expand:
A python package containing functions that help interacting with
various versions of Ansible}

%description %{common_description}

%package -n python-%{srcname}-doc
Summary: %summary

%description -n python-%{srcname}-doc
Documentation for python-ansible-compat

%package -n python3-%{srcname}
Summary: %summary

%py_provides python3-%{srcname}

%description -n python3-%{srcname} %{common_description}

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r %{?with_tests:-x testing}

%build
%pyproject_wheel

%if %{with doc}
PYTHONPATH=src sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install

%if %{with tests}
%check
PYTHONPATH=src %{python3} -m pytest -vv test
%endif

%files -n python3-%{srcname}
%{python3_sitelib}/ansible_compat/
%{python3_sitelib}/ansible_compat-*.dist-info/
%license LICENSE

%if %{with doc}
%files -n python-%{srcname}-doc
%license LICENSE
%doc *.rst
%doc html/
%endif

%changelog
* Sat Sep 24 2022 chedi toueiti <chedi.toueiti@gmail.com> 2.2.1-1
- Update to version 2.2.1 (#2129435)

* Wed Jun 29 2022 chedi toueiti <chedi.toueiti@gmail.com> 2.1.0-5
- fixing the tests

* Wed Jun 29 2022 chedi toueiti <chedi.toueiti@gmail.com> 2.1.0-4
- typo correction

* Wed Jun 29 2022 chedi toueiti <chedi.toueiti@gmail.com> 2.1.0-3
- adding missing pytest build requirements

* Wed Jun 29 2022 chedi toueiti <chedi.toueiti@gmail.com> 2.1.0-1
- update to 2.1.0

* Wed May 18 2022 Chedi Toueiti <chedi.toueiti@gmail.com> 2.0.4-1
- update to version 2.0.4

* Wed May 18 2022 Chedi Toueiti <chedi.toueiti@gmail.com> 2.0.3-1
- update to version 2.0.3

* Wed Mar 23 2022 Parag Nemade <pnemade@fedoraproject.org> 2.0.2-1
- Update to 2.0.2 version

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 chedi <chedi.toueiti@gmail.com> 0.5.0-1
- initial commit
